/*!
Theme Name: Salsamania Kadence
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Jonathan Lim-Breitbart
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/* Modern Events Calendar */
.mec-container {
  padding-top: 48px;
  padding-bottom: 48px;
}

.mec-event-tile-view article.mec-tile-item .event-tile-view-head {
  margin-inline-start: -16px;
}

.mec-event-tile-view article.mec-tile-item .mec-event-time {
  color: #ffffff;
  font-size: 16px;
  font-weight: 600;
  padding-top: 3px;
  right: 0;
}

.mec-event-tile-view article.mec-tile-item .mec-event-title {
  font-size: 22px;
  margin-top: 0;
}

.mec-event-tile-view article.mec-tile-item:after {
  width: 122px;
}

.mec-event-tile-view article.mec-tile-item.tile-multipleday-event:after {
  width: 194px;
}

.mec-repeating-label {
  font-size: 13px;
  font-weight: 600;
  vertical-align: middle;
  margin-inline-start: 6px;
  background-color: var(--global-palette10)
}

.mec-wrap {
  font-weight: 600;
}

.mec-wrap,
.mec-wrap p,
.mec-wrap h1,
.mec-wrap h2,
.mec-wrap h3,
.mec-wrap h4,
.mec-wrap h5,
.mec-wrap h6,
.mec-single-event .mec-event-meta h6,
.mec-single-event-sponsor span,
.mec-single-event .mec-event-meta .mec-events-address .mec-address,
.mec-single-event .mec-event-meta .mec-location-opening-hour span,
.mec-single-event .mec-event-meta .mec-location-url span,
.mec-single-modern .mec-single-event-bar>div dd,
.mec-single-event .mec-single-event-location dd span {
  color: revert;
}

.mec-single-modal.mec-single-modern .mec-single-title,
.admin-bar .mec-single-modal.mec-single-modern .mec-single-title {
  padding-top: 16px;
}

.mec-wrap .mec-single-title,
.single-mec-events .mec-wrap.mec-no-access-error h1 {
  font-size: 1.75rem;
  margin-bottom: 16px;
}

.mec-wrap h3 {
  font-size: 1.25rem;
}

.mec-wrap h2 {
  font-size: 1.5rem;
}

.mec-single-modal.mec-single-modern .mec-single-event-bar>div dd,
address.mec-events-address {
  font-size: 14px;
  margin-bottom: 0.75em;
}

.mec-single-modal.mec-single-modern .mec-single-event-bar {
  border: 0 none;
  border-radius: 0;
  margin: 0 0 16px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  background-color: var(--global-palette8);
}

.mec-single-event-additional-locations .mec-single-event-location {
  padding: 0 !important;
}

.mec-single-modal.mec-single-modern .mec-single-event-bar div {
  padding: 8px 16px 0;
}

.mec-single-modal.mec-single-modern .mec-frontbox {
  padding: 0 16px 16px;
  border: 0 none;
}

.mec-event-cost,
.mec-event-more-info,
.mec-event-website,
.mec-events-meta-date,
.mec-local-time-details,
.mec-single-event-additional-locations,
.mec-single-event-additional-organizers,
.mec-single-event-category,
.mec-single-event-date,
.mec-single-event-label,
.mec-single-event-location,
.mec-single-event-organizer,
.mec-single-event-sponsor,
.mec-single-event-time {
  margin-bottom: 0;
}

.mec-single-modal.mec-single-modern dl {
  margin-block-start: 0.25em;
  margin-block-end: 0.25em;
}

.mec-single-event .mec-single-event-location dd span {
  padding-left: 0;
}

.mec-single-event .mec-single-event-location dl dd i {
  display: none;
}

.mec-modal-wrap {
  max-width: 560px;
  border-radius: 16px;
}

@media (max-width: 1023px) {
  .mec-modal-wrap {
    max-width: 560px;
  }
}

.mec-single-modal.mec-single-modern .mec-events-event-image {
  width: 100%;
}

.mec-single-modal.mec-single-modern .mec-events-event-image img {
  border-radius: 0;
}

.mec-single-modal .mec-event-content {
  padding: 0 16px;
}

.mec-booking-wrapper {
  position: absolute;
  z-index: 1;
  left: 25px;
  right: 25px;
  bottom: -24px;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
  overflow: hidden;
  padding: 0.5em;
  background-color: #ffffff;
}

@media (max-width: 1023px) {
  .mec-booking-wrapper {
    left: 10px;
    right: 10px;
    bottom: 0;
    width: auto !important;
  }
}

.mec-booking-wrapper .mec-booking-button {
  display: block;
  text-align: center;
}

.post-type-archive-mec-events .mec-container>h1 {
  display: none;
}
